<template>
    <div class="container">
        <!-- 顶部信息 -->
        <div class="containertop">
            <h3>{{ name }}</h3>
        </div>
    </div>
</template>

<script>
import { getBasicInformationById } from '@/api/ManageApi/index';

export default {
    props: {
        size: {
            type: String,
            default: 'mini'
        },
        id: {
            type: [Number, String],
            required: true
        }
    },
    data() {
        return {
            name: '' 
        };
    },
    created() {
        this.fetchData();
    },
    methods: {
        fetchData() {
            getBasicInformationById(this.id)
                .then(response => {
                    const data = response.data;
                    this.name = data.name; 
                })
                .catch(error => {
                    console.error('There was an error fetching the data!', error);
                });
        },
        edit() {
            this.dialogVisible = true;
        },
        exportData() {
            // 导出逻辑
        },
    }
};
</script>

<style scoped>
.containertop {
    text-align: center;
    margin-bottom: 1rem;
}

</style>